Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xulrunner > 1.9.2.8 non mi si compila
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Wed Nov 17, 2010 11:16 pm    Post subject: xulrunner > 1.9.2.8 non mi si compila Reply with quote

il pacchetto in questione è (considerazion in fondo)
Code:
eix xulrunner
[U] net-libs/xulrunner
     Available versions:  (1.9) ~1.9.1_rc2[1] ~1.9.1_rc3[1] 1.9.2.8 1.9.2.9 ~1.9.2.9-r1 1.9.2.11 1.9.2.12
        {+alsa custom-optimization dbus debug elibc_FreeBSD gnome +ipc java libnotify python qt-experimental startup-notification system-sqlite wifi}
     Installed versions:  1.9.2.8(1.9)(14:22:03 03/08/2010)(alsa custom-optimization dbus ipc java libnotify startup-notification system-sqlite wifi -debug -elibc_FreeBSD -gnome)                                                                                                                                                                       
     Homepage:            http://developer.mozilla.org/en/docs/XULRunner
     Description:         Mozilla runtime package that can be used to bootstrap XUL+XPCOM applications

[1] "zugaina" /usr/local/portage/layman/zugaina


Questo è l'errore:
Code:
x86_64-pc-linux-gnu-g++ -o message_pump_libevent.o -c  -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_COM_OBSOLETE -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DOSTYPE=\"Linux2.6\" -DOSARCH=Linux -DEXCLUDE_SKIA_DEPENDENCIES -DCHROMIUM_MOZILLA_BUILD  -DOS_LINUX=1 -DOS_POSIX=1  -I../../dist -I../../ipc/chromium/src -I../../ipc/glue -I../../ipc/ipdl/_ipdlheaders  -I. -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/include/nspr -I/usr/include/nss      -I/usr/include   -fPIC  -march=native -pipe -m3dnow -msse -msse2 -msse3 -mmmx -I/usr/include -fno-rtti -fno-handle-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-long-long -march=native -pipe -fPIC -Wno-return-type -w -fno-strict-aliasing -pthread -pipe -DNDEBUG -DTRIMMED -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/gtk-unix-print-2.0   -O2  -march=native -pipe -m3dnow -msse -msse2 -msse3 -mmmx  -I/usr/include -DMOZILLA_CLIENT -include ../../mozilla-config.h -Wp,-MD,.deps/message_pump_libevent.pp ./src/base/message_pump_libevent.cc
./src/base/message_pump_libevent.cc: In static member function 'static void base::MessagePumpLibevent::OnWakeup(int, short int, void*)':
./src/base/message_pump_libevent.cc:94: error: 'event_base_loopbreak' was not declared in this scope
./src/base/message_pump_libevent.cc: In constructor 'base::MessagePumpLibevent::MessagePumpLibevent()':
./src/base/message_pump_libevent.cc:100: error: 'event_base_new' was not declared in this scope
./src/base/message_pump_libevent.cc: In member function 'bool base::MessagePumpLibevent::Init()':
./src/base/message_pump_libevent.cc:127: error: 'event_base_set' was not declared in this scope
./src/base/message_pump_libevent.cc: In destructor 'virtual base::MessagePumpLibevent::~MessagePumpLibevent()':
./src/base/message_pump_libevent.cc:143: error: 'event_base_free' was not declared in this scope
./src/base/message_pump_libevent.cc: In member function 'bool base::MessagePumpLibevent::WatchFileDescriptor(int, bool, base::MessagePumpLibevent::Mode, base::MessagePumpLibevent::FileDescriptorWatcher*, base::MessagePumpLibevent::Watcher*)':
./src/base/message_pump_libevent.cc:181: error: 'event_base_set' was not declared in this scope
./src/base/message_pump_libevent.cc: In member function 'bool base::MessagePumpLibevent::CatchSignal(int, base::MessagePumpLibevent::SignalEvent*, base::MessagePumpLibevent::SignalWatcher*)':
./src/base/message_pump_libevent.cc:276: error: 'event_base_set' was not declared in this scope
./src/base/message_pump_libevent.cc: In member function 'virtual void base::MessagePumpLibevent::Run(base::MessagePump::Delegate*)':
./src/base/message_pump_libevent.cc:330: error: 'event_base_loop' was not declared in this scope
./src/base/message_pump_libevent.cc:337: error: 'event_base_loopexit' was not declared in this scope
./src/base/message_pump_libevent.cc:338: error: 'event_base_loop' was not declared in this scope
make[3]: *** [message_pump_libevent.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9.2.12/work/mozilla-1.9.2/ipc/chromium'
make[2]: *** [libs_tier_xpcom] Error 2
make[2]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9.2.12/work/mozilla-1.9.2'
make[1]: *** [tier_xpcom] Error 2
make[1]: Leaving directory `/var/tmp/portage/net-libs/xulrunner-1.9.2.12/work/mozilla-1.9.2'
make: *** [default] Error 2


dimenticavo il mio emerge --info
Code:
emerge --info
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop/kde, gcc-4.4.4, glibc-2.11.2-r3, 2.6.35-zen24 x86_64)
=================================================================
System uname: Linux-2.6.35-zen24-x86_64-AMD_Athlon-tm-X2_DualCore_QL-64-with-gentoo-2.0.1
Timestamp of tree: Wed, 17 Nov 2010 18:45:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11-r1
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.0-r1
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -m3dnow -msse -msse2 -msse3 -mmmx"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CPPFLAGS="-O2 -march=native -pipe -m3dnow -msse -msse2 -msse3 -mmmx"
CXXFLAGS="-O2 -march=native -pipe -m3dnow -msse -msse2 -msse3 -mmmx"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages metadata-transfer news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS=" ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://gd.tuwien.ac.at/opsys/linux/gentoo/ http://ftp.club-internet.fr/pub/mirrors/gentoo ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="it"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/pro-audio /usr/local/portage/layman/gentoo-quebec /usr/local/portage/layman/zugaina /usr/local/portage/layman/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X Xaw3d a52 aac acl acpi alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo caps cdr cgi cli consolekit cpudetection cracklib crypt cups custom-cflags cxx dbus dga dri dts dvd dvdr emboss encode exif fam fbcon ffmpeg firefox flac fortran gdbm gif glitz gpm gstreamer gtk hal iconv ipv6 jack java jfs jpeg jpeg2k kde ladspa laptop lash latex lcms ldap libnotify libsamplerate mad mikmod mmx mmxext mng modules motif mp3 mp4 mpeg mudflap multilib musepack mysql ncurses nls nptl nptlonly nsplugin ntp ogg openal openexr opengl openmp pam pango pcre pdf perl phonon png ppds pppd profile python qt3support qt4 quicktime readline rss sdl semantic-desktop session speex spell sqlite sse sse2 ssl startup-notification static-libs svg sysfs tcpd theora threads tiff timidity tk truetype unicode usb v4l v4l2 vorbis wifi x264 xcb xcomposite xext xml xorg xulrunner xv xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


praticamente non riesco ad aggiornare xulrunner. ho la versione 1.9.2.8 installata e la più recente è la 1.9.2.12 (che non è mascherata).
Ho provato ad installare una qualsiasi altra versione di xulrunner, ma niente...non si installa! l'errore è sempre lo stesso.
Ora, sembrerebbe che l'errore stia in qualche modo su libevent.

io ho
Code:
dev-libs/libevent-1.4.14b

che non è mascherata.
ho provato a ricompilarle il pacchetto ma non cambia nulla. semplicemente l'errore è sempre quello.

revdep-rebuild non mi da alcun problema di linkaggio di libreria.
La cosa interessante, è che ho un'altro pc, con le stesse impostazioni (anche quello aggiornato), ma a 32bit, e là si compila tutto.

idee?
_________________
Darkman
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Tue Nov 23, 2010 4:42 pm    Post subject: Reply with quote

nessuno saprebbe darmi un consiglio al riguardo?
_________________
Darkman
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Thu Mar 24, 2011 9:52 am    Post subject: Reply with quote

riprendo in mano questo thread in quanto continuo ad avere questo tipo di problema.

Ho notato però che se attivo la flag "-ipc", xulrunner si compila. (questa cosa l'ho segnalata anche sul bugzilla)
non avendo avuto risposta là, qualcuno avrebbe qualche idea da suggerirmi?
l'errore, mi par di capire, si verifica in quanto non riesce a trovare i file di libreria (quelli che si mettono con #include).
è abbastanza scocciante come errore, anche perchè per lo stesso motivo non compila xulrunner 2.0 (serve per firefox 4.0), anche se metto "-ipc" come flag.

sia chiaro che sto parlando di pacchetti dichiarati "stabili" (solo xulrunner 2.0 è in ~)
_________________
Darkman
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum